Subject: Re: [bitcoin-dev] MuSig2 BIP

From: Olaoluwa Osuntokun <[email-masked]>
Date: Wed, 27 Apr 2022 20:53:59 -0700

Stating the taproot interaction more plainly: the taproot tweak is defined
as a function of the internal key itself h_tapTeak(internalKey || rootHash),
which means that the full tweak can't be known ahead of time. Instead, one
must aggregate the keys to obtain the internal key _then_ apply the tweaks
as normal.

-- Laolu